//
//  ViewController.m
//  Hodgepodge
//
//  Created by liyuli on 16/7/28.
//  Copyright © 2016年 6mai. All rights reserved.
//

#import "ViewController.h"

#define KScreenWidth [UIScreen mainScreen].bounds.size.width
#define KScreenHeight [UIScreen mainScreen].bounds.size.height

@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>
@property(strong,nonatomic)UILabel *labt;
@property(strong,nonatomic)UITableView *dividerTableView;

@end

@implementation ViewController

-(void)viewDidLayoutSubviews{
    if ([self.dividerTableView respondsToSelector:@selector(setSeparatorInset:)]) {
        [self.dividerTableView setSeparatorInset:UIEdgeInsetsMake(0, 0, 0, 0)];
    }
    
    if ([self.dividerTableView respondsToSelector:@selector(setLayoutMargins:)]) {
        [self.dividerTableView setLayoutMargins:UIEdgeInsetsMake(0, 0, 0, 0)];
    }
}
-(void)tableView:(UITableView *)tableView willDisplayCell:(UITableViewCell *)cell forRowAtIndexPath:(NSIndexPath *)indexPath{
    if ([cell respondsToSelector:@selector(setSeparatorInset:)]) {
        [cell setSeparatorInset:UIEdgeInsetsZero];
    }
    if ([cell respondsToSelector:@selector(setLayoutMargins:)]) {
        [cell setLayoutMargins:UIEdgeInsetsZero];
    }

}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.title=@"导航";
    self.navigationController.navigationBar.barTintColor=[UIColor redColor];
    [self labt];[self test];[self tableView];
}
-(UITableView *)tableView{
    if (!_dividerTableView) {
        _dividerTableView=[[UITableView alloc]initWithFrame:CGRectMake(0, 0, KScreenWidth, KScreenHeight)];
        _dividerTableView.delegate=self;
        _dividerTableView.dataSource=self;
        [self.dividerTableView registerClass:[UITableViewCell class] forCellReuseIdentifier:@"Cell"];
        [self.view addSubview:_dividerTableView];
    }
    return _dividerTableView;
}


-(UILabel *)labt{
    if (!_labt) {
         _labt=[[UILabel alloc]initWithFrame:CGRectMake(KScreenWidth/2-100, KScreenHeight/2-30, 200, 60)];
         _labt.text=@"出来我保证不打死你";
         [self.view addSubview:_labt];
        
    }
    return _labt;
}


-(void)test{
    NSMutableAttributedString *attributedString =
    [[NSMutableAttributedString alloc] initWithString:self.labt.text];
    NSMutableParagraphStyle *paragraphStyle =  [[NSMutableParagraphStyle alloc] init];
    [paragraphStyle setLineSpacing:3];
    
    //调整行间距
    [attributedString addAttribute:NSParagraphStyleAttributeName
                             value:paragraphStyle
                             range:NSMakeRange(0, [self.labt.text length])];
    self.labt.attributedText = attributedString;
}



- (void)touchesEnded:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    [self editStringColor:self.labt.text editStr:@"好" color:[UIColor redColor]];
}

- (void)editStringColor:(NSString *)string editStr:(NSString *)editStr color:(UIColor *)color {
    // string为整体字符串, editStr为需要修改的字符串
    NSRange range = [string rangeOfString:editStr];
    
    NSMutableAttributedString *attribute = [[NSMutableAttributedString alloc] initWithString:string];
    
    // 设置属性修改字体颜色UIColor与大小UIFont
    [attribute addAttributes:@{NSForegroundColorAttributeName:color} range:range];
    
    self.labt.attributedText = attribute;
}

//动态隐藏nav
- (void)scrollViewWillEndDragging:(UIScrollView *)scrollView withVelocity:(CGPoint)velocity targetContentOffset:(inout CGPoint *)targetContentOffset
{
    if(velocity.y > 0)
    {
        [self.navigationController setNavigationBarHidden:YES animated:YES];
    } else {
        [self.navigationController setNavigationBarHidden:NO animated:YES];
    }
    
    //2.在滑动过程中隐藏
    //像safari
  
    self.navigationController.hidesBarsOnSwipe = YES;
}
- (void)scrollViewDidScroll:(UIScrollView *)scrollView
{
    CGFloat offsetY = scrollView.contentOffset.y + _dividerTableView.contentInset.top;
    CGFloat panTranslationY = [scrollView.panGestureRecognizer translationInView:self.tableView].y;
    if (offsetY > 64) {
        if (panTranslationY > 0)
        {
            //下滑趋势，显示
            [self.navigationController setNavigationBarHidden:NO animated:YES];
        } else {
            //上滑趋势，隐藏
            [self.navigationController setNavigationBarHidden:YES animated:YES];
        }
    } else {
        [self.navigationController setNavigationBarHidden:NO animated:YES];
    }
}

#pragma mark--UITableViewDataSource
//-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
//    return 2;
//}


-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{

    return 3;
}

-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{

    return 100;
}

//-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
//    return 20;
//}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    UITableViewCell *cell=[tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];
    return cell;
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
    
@end
